Bug 521174 - No text box appears for entering login name
Summary: No text box appears for entering login name
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-04 04:24 UTC by Bob Shanteau
Modified: 2015-01-14 23:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:29:30 UTC


Attachments (Terms of Use)
Screen shot of login screen with no entry box (455.55 KB, image/jpeg)
2009-09-04 04:24 UTC, Bob Shanteau
no flags Details
Snapshot of /var/log/messages after a clean boot (128.48 KB, application/octet-stream)
2009-09-24 07:01 UTC, Mathieu Chouquet-Stringer
no flags Details

Description Bob Shanteau 2009-09-04 04:24:31 UTC
Created attachment 359746 [details]
Screen shot of login screen with no entry box

Description of problem:
Login screen has no text box for entering login name

Version-Release number of selected component (if applicable):


How reproducible:
Install Rawhide using boot.iso

Steps to Reproduce:
1. Install Rawhide using boot.iso dated 2009-9-3
2. Reboot to login screen
3. No text box appears
  
Actual results:
No text box appears

Expected results:
Text box appears for entering login name

Additional info:

Comment 1 Bob Shanteau 2009-09-04 23:55:45 UTC
I just removed the nVidia 6200 video card and replace it with an ATI Radeon 700, reinstalled Rawhide using the CD made from the same boot.iso and I did not have the problem with the login screen.

Comment 2 Sergey Rudchenko 2009-09-17 18:11:37 UTC
Thank you for the bug report.

Has the first installation finished gracefully? Did you create a user during installation?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Mathieu Chouquet-Stringer 2009-09-21 19:28:10 UTC
Hello,

I just upgraded my F11 to F12 Alpha then caught up with Rawhide and I'm now running gdm 2.27.90-2.fc12 and I'm having the same exact issue...

No input box to enter a login name...  If you need anything feel free to ask.

Comment 4 Sergey Rudchenko 2009-09-23 18:39:26 UTC
Hello Mathieu,

Thank you for your time.
Please do a regular boot into gdm (reproducing the problem) and attach your /var/log/messages to this bugreport.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Mathieu Chouquet-Stringer 2009-09-24 07:01:28 UTC
Created attachment 362439 [details]
Snapshot of /var/log/messages after a clean boot

Comment 6 Mathieu Chouquet-Stringer 2009-09-24 07:02:49 UTC
Hello Sergey,

I attached my messages file, hope it helps...

Comment 7 Mathieu Chouquet-Stringer 2009-09-25 09:21:47 UTC
Last night I upgraded to latest rawhide update for gdm (2.28.0-1.fc12): same thing...

Comment 8 Bob Shanteau 2009-09-27 22:20:09 UTC
I just installed Rawhide using the 09-9-25 boot.iso on three machines with Nvidia video cards (5200, 6200 and 7300) and the login text box appeared each time. As far as I'm concerned, this bug is resolved.

Comment 9 Ray Strode [halfline] 2009-09-29 14:19:54 UTC
I believe this was an issue that was resolved in 2.28.0-2.fc12.  Closing.  Please reopen if it's still a problem.

Comment 10 Mathieu Chouquet-Stringer 2009-10-01 15:53:16 UTC
Hello,

In my case, all along the way, I had no text box because I had disabled it through /apps/gdm/simple-greeter/disable_user_list in gconf...

Except in the older version of gdm, you still had a chance to type in your username even without an user list...

Comment 11 Emmanuel Thomé 2009-10-07 14:16:32 UTC
This bug is still present as of

gdm-2.28.0-4.fc12.x86_64

My machine's desired setup has _no_ local user, all users are via NIS. And anyway, I dislike having the user list displayed. Depending on the following choices, I have different results:

- A local user is configured, and /apps/gdm/simple-greeter/disable_user_list is not set:
  --> I can pick the local user
  --> I can also click on ``other'' and type another user name from e.g. the NIS database.

- A local user is configured, however /apps/gdm/simple-greeter/disable_user_list is set (with gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults  --set /apps/gdm/simple-greeter/disable_user_list --type bool true)
  --> I see no user list.
  --> I have no ``other'' label to click on either.
  --> I see the ``suspend'',``restart'',``shutdown'' buttons (unless disabled), as well as a ``log in'' button (which obviously does not work.
  ==> Users cannot log in.

- No local user is configured, no matter what: same as just above.

Thanks,

E.

Comment 12 Mathieu Chouquet-Stringer 2009-10-07 17:45:46 UTC
I agree, that's why I had disabled it in the first place...  But with the newer version of gdm, disable_user_list also means you don't get a chance to type in your user name: counter intuitive...

How does one reopen a bug?  It seems I can't do it...

Comment 13 Bug Zapper 2009-11-16 11:58:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2010-11-04 10:13:02 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2010-12-05 06:29:30 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.